package es.rickyepoderi.springboot;

import es.rickyepoderi.springboot.keycloak.KeycloakFilter;
import es.rickyepoderi.springboot.servlet.HelloServlet;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;

/**
 *
 * @author rmartinc
 */
@SpringBootApplication
@ServletComponentScan(basePackageClasses = {HelloServlet.class, KeycloakFilter.class})
public class Application {

    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }
}
