package es.rickyepoderi.springboot;

/**
 *
 * @author rmartinc
 */
public class HelloBean {

    private String name;
    private String greeting;

    public HelloBean() {
        this.setGreeting(null);
        this.setName(null);
    }

    public HelloBean(String name) {
        this.setGreeting(null);
        this.setName(name);
    }

    public HelloBean(String greeting, String name) {
        this.setGreeting(greeting);
        this.setName(name);
    }

    public String getName() {
        return name;
    }

    public final void setName(String name) {
        if (name != null && !name.isEmpty()) {
            this.name = name;
        } else {
            this.name = "World";
        }
    }

    public String getGreeting() {
        return greeting;
    }

    public final void setGreeting(String greeting) {
        if (greeting != null && !greeting.isEmpty()) {
            this.greeting = greeting;
        } else {
            this.greeting = "Hello";
        }
    }

    @Override
    public String toString() {
        return greeting + " " + name + "!!!";
    }
}
