package es.rickyepoderi.springboot.keycloak;

import javax.servlet.annotation.WebFilter;
import org.keycloak.adapters.servlet.KeycloakOIDCFilter;

/**
 *
 * @author rmartinc
 */
@WebFilter(urlPatterns = {"/api/hello", "/keycloak/*"})
public class KeycloakFilter extends KeycloakOIDCFilter {

    public KeycloakFilter() {
        super(new ClasspathKeycloakConfigResolver());
    }
}
